UbuntuUpdates.org

Package "kde4libs"

Name: kde4libs

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • core executables for KDE Applications
  • core shared data for all KDE Applications
  • debugging symbols for the KDE Development Platform libraries
  • development files for the KDE Development Platform libraries

Latest version: 4:4.14.38-0ubuntu6.1
Release: disco (19.04)
Level: security
Repository: universe

Links

Save this URL for the latest version of "kde4libs": https://www.ubuntuupdates.org/kde4libs



Other versions of "kde4libs" in Disco

Repository Area Version
base universe 4:4.14.38-0ubuntu6
updates universe 4:4.14.38-0ubuntu6.1
PPA: Mint Import 4:4.14.2-0ubuntu1~ubuntu14.04~ppa1
PPA: Mint Import 4:4.14.2-0ubuntu1~ubuntu14.04~ppa1
PPA: Mint Import 4:4.14.2-0ubuntu1~ubuntu14.04~ppa1

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 4:4.14.38-0ubuntu6.1 2019-08-16 02:06:44 UTC

  kde4libs (4:4.14.38-0ubuntu6.1) disco-security; urgency=medium

  * SECURITY UPDATE: malicious .desktop files (and others) would execute
    code (LP: #1839432).
    - debian/patches/CVE-2019-14744.patch: remove support for $(...) in
      config keys with [$e] marker.
    - debian/patches/kdelibs-4.14.38-openssl-1.1.patch: Make kssl compile
      against OpenSSL 1.1.0
    - CVE-2019-14744

 -- Paulo Flabiano Smorigo <email address hidden> Mon, 12 Aug 2019 10:53:32 -0300

1839432 [CVE] malicious .desktop files (and others) would execute code
CVE-2019-14744 In KDE Frameworks KConfig before 5.61.0, malicious desktop files and c ...



About   -   Send Feedback to @ubuntu_updates